Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 731166 - net-im/spectrum2 fails to link with LLD because of /usr/lib in the link command line
Summary: net-im/spectrum2 fails to link with LLD because of /usr/lib in the link comma...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Conrad Kostecki
URL: https://github.com/SpectrumIM/spectru...
Whiteboard:
Keywords:
Depends on:
Blocks: LD-is-lld
  Show dependency tree
 
Reported: 2020-07-07 06:21 UTC by Agostino Sarubbo
Modified: 2020-08-01 19:40 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,100.94 KB, text/plain)
2020-07-07 06:21 UTC, Agostino Sarubbo
Details
other.tar.bz2 (other.tar.bz2,3.62 KB, application/x-bzip-compressed-tar)
2020-07-07 06:21 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-07-07 06:21:44 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: net-im/spectrum2 fails to link with LLD because of /usr/lib in the link command line.
Discovered on: amd64

NOTE:
This PR gives an idea about a fix: https://github.com/PhotoFlare/photoflare/pull/248/files.
Comment 1 Agostino Sarubbo gentoo-dev 2020-07-07 06:21:50 UTC
Created attachment 648102 [details]
build.log

build log and emerge --info
Comment 2 Agostino Sarubbo gentoo-dev 2020-07-07 06:21:53 UTC
Created attachment 648104 [details]
other.tar.bz2

other logs
Comment 3 Conrad Kostecki gentoo-dev 2020-07-30 13:04:26 UTC
Hm, the problematic part seems to be -L/usr/bin/../lib.
I don't have an idea, how to fix that. The build systems is cmake, but after searching through, I don't see, how that path is being created.

@ago: do you have an idea or hint for me?
Comment 4 Conrad Kostecki gentoo-dev 2020-08-01 13:19:16 UTC
Ah, found it. It does not come from spectrum2, instead, it's being pulled in by reading the output from 'swiften-config --libs' which does set that.
Comment 5 Larry the Git Cow gentoo-dev 2020-08-01 19:40:25 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6d46469b5e8b248d3671299b48a57272b352fd65

commit 6d46469b5e8b248d3671299b48a57272b352fd65
Author:     Conrad Kostecki <conikost@gentoo.org>
AuthorDate: 2020-08-01 19:33:47 +0000
Commit:     Conrad Kostecki <conikost@gentoo.org>
CommitDate: 2020-08-01 19:40:01 +0000

    net-im/spectrum2: force irc for tests, block dev-libs/libpqxx-7
    
    In order to run all tests, irc must be enabled for those tests. It's not
    required for normal usage.
    
    Also restricted on <=dev-libs/libpqxx-7, since it does not compile with
    newest version.
    
    Closes: https://bugs.gentoo.org/731166
    Closes: https://bugs.gentoo.org/735100
    Package-Manager: Portage-3.0.1, Repoman-2.3.23
    Signed-off-by: Conrad Kostecki <conikost@gentoo.org>

 net-im/spectrum2/spectrum2-2.0.12-r4.ebuild | 110 ++++++++++++++++++++++++++++
 net-im/spectrum2/spectrum2-2.0.13-r2.ebuild | 105 ++++++++++++++++++++++++++
 2 files changed, 215 insertions(+)

Additionally, it has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d533bd0f6cfa75ef5bc50e5a033e2141521456f7

commit d533bd0f6cfa75ef5bc50e5a033e2141521456f7
Author:     Conrad Kostecki <conikost@gentoo.org>
AuthorDate: 2020-08-01 19:19:18 +0000
Commit:     Conrad Kostecki <conikost@gentoo.org>
CommitDate: 2020-08-01 19:39:59 +0000

    net-im/swift: don't include '/usr/lib*' for swiften-config
    
    Bug: https://bugs.gentoo.org/731166
    Package-Manager: Portage-3.0.1, Repoman-2.3.23
    Signed-off-by: Conrad Kostecki <conikost@gentoo.org>

 net-im/swift/swift-4.0.2-r2.ebuild | 211 +++++++++++++++++++++++++++++++++++++
 1 file changed, 211 insertions(+)